#pragma once
#include <map>
struct M_ActivitySailingZhaocaiPigCFGData
{
	//编号
	int mId;
	//VIP等级
	int mVipLevel;
	//任务1描述
	std::string mDesc1;
	//任务2描述
	std::string mDesc2;
	//捕鱼获取金币/条
	int mFishGold;
	//在线获取金币/分钟
	int mOnlineGold;
	//捕鱼获取金币上限
	int mMaxFishGold;
	//在线时间获取金币上限
	int mMaxOnlineGold;
	//猪名
	std::string mPigName;
};

class M_ActivitySailingZhaocaiPigCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingZhaocaiPigCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingZhaocaiPigCFGData* GetData(int Id);
	const std::map<int, M_ActivitySailingZhaocaiPigCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySailingZhaocaiPigCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySailingZhaocaiPigCFGData> mMapData;
};
